def geometricos(rad):
    """Realiza varios cálculos geométricos y devuelve los valores."""
    area = 3.14 * rad ** 2
    perim = 2 * 3.14 * rad
    return area, perim


fh = open("radios-mal.txt", "rt")
radios = []
for linea in fh:
    try:
        value = float(linea)
    except ValueError:
        print("Ignorando error en dato fuente:", repr(linea))
    else:
        radios.append(value)
fh.close()

for radio in radios:
    área, perímetro = geometricos(radio)
    print(f"Para radio {radio}: área {área:.2f} y perímetro {perímetro:.2f}")
